package com.za.room.db.user

import android.os.Parcel
import android.os.Parcelable

data class DriverInfoBean(
	val userId : Int? = null, //用户id
	val userName : String? = null, //用户姓名
	val userPhone : String? = null, //用户手机号
	val userPortrait : String? = null, //用户头像
	val rongyunToken : String? = null,
	val logTime : String? = null,
	val supplierId : Int? = null, //经销商id
	val supplierName : String? = null, //经销商名称
	val supplierType : Int? = null, //经销商类型 1子公司  2供应商
	val loginLogId : Int? = null,
	val serviceList : String? = null, //车辆服务列表
	val assistUserCode : String? = null,
	val authStatus : Int? = null, // 0 未认证  1 已认证
	val vehicleId : Int? = null,
	val vehicleName : String? = null,
	val vehicleState : Int? = null, //车辆状态 0 空闲 1 忙碌
	val plateNumber : String? = null, //车牌号
	val deviceId : String? = null,
) : Parcelable {
	constructor(parcel : Parcel) : this(parcel.readValue(Int::class.java.classLoader) as? Int,
		parcel.readString(),
		parcel.readString(),
		parcel.readString(),
		parcel.readString(),
		parcel.readString(),
		parcel.readValue(Int::class.java.classLoader) as? Int,
		parcel.readString(),
		parcel.readValue(Int::class.java.classLoader) as? Int,
		parcel.readValue(Int::class.java.classLoader) as? Int,
		parcel.readString(),
		parcel.readString(),
		parcel.readValue(Int::class.java.classLoader) as? Int,
		parcel.readValue(Int::class.java.classLoader) as? Int,
		parcel.readString(),
		parcel.readValue(Int::class.java.classLoader) as? Int,
		parcel.readString(),
		parcel.readString()) {
	}

	override fun writeToParcel(parcel : Parcel, flags : Int) {
		parcel.writeValue(userId)
		parcel.writeString(userName)
		parcel.writeString(userPhone)
		parcel.writeString(userPortrait)
		parcel.writeString(rongyunToken)
		parcel.writeString(logTime)
		parcel.writeValue(supplierId)
		parcel.writeString(supplierName)
		parcel.writeValue(supplierType)
		parcel.writeValue(loginLogId)
		parcel.writeString(serviceList)
		parcel.writeString(assistUserCode)
		parcel.writeValue(authStatus)
		parcel.writeValue(vehicleId)
		parcel.writeString(vehicleName)
		parcel.writeValue(vehicleState)
		parcel.writeString(plateNumber)
		parcel.writeString(deviceId)
	}

	override fun describeContents() : Int {
		return 0
	}

	companion object CREATOR : Parcelable.Creator<DriverInfoBean> {
		override fun createFromParcel(parcel : Parcel) : DriverInfoBean {
			return DriverInfoBean(parcel)
		}

		override fun newArray(size : Int) : Array<DriverInfoBean?> {
			return arrayOfNulls(size)
		}
	}
}